# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider.Descriptor

Packages that use IDifferenceGroupProvider.Descriptor
Package
Description
org.eclipse.emf.compare.rcp.ui
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Uses of IDifferenceGroupProvider.Descriptor in org.eclipse.emf.compare.rcp.ui

Methods in org.eclipse.emf.compare.rcp.ui that return types with arguments of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`IItemRegistry<IDifferenceGroupProvider.Descriptor>`
EMFCompareRCPUIPlugin.`getItemDifferenceGroupProviderRegistry()`

## Uses of IDifferenceGroupProvider.Descriptor in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl that return types with arguments of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
GroupsInteractiveContent.`getOrderedItems()`
Gets `IItemDescriptor` of {IDifferenceGroupProvider.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl with type arguments of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`void`
GroupsInteractiveContent.`select(IItemDescriptor<IDifferenceGroupProvider.Descriptor> descriptor)`
Handles a selection in the viewer.
`void`
GroupsInteractiveContent.`setViewerInput(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> input)`
Sets the input for interactive content.

## Uses of IDifferenceGroupProvider.Descriptor in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions that return IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
GroupAction.`getDescriptorGroupProvider()`
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type IDifferenceGroupProvider.Descriptor
Modifier
Constructor
Description
``
`GroupAction(StructureMergeViewerGrouper structureMergeViewerGrouper, IDifferenceGroupProvider.Descriptor dgp, IDifferenceGroupProvider gp, DifferenceGroupManager groupManager, boolean isThreeWay)`
Instantiates our action given its target grouper.

## Uses of IDifferenceGroupProvider.Descriptor in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that implement IDifferenceGroupProvider.Descriptor
Modifier and Type
Class
Description
`class`
`DifferenceGroupDescriptorWrapper`
Implementation of `IDifferenceGroupProvider.Descriptor`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
DifferenceGroupRegistryImpl.`add(IDifferenceGroupProvider.Descriptor providerDescriptor, String className)`
Add to the registry the given `IDifferenceGroupProvider`.
`IDifferenceGroupProvider.Descriptor`
DifferenceGroupRegistryImpl.`getDefaultGroupProvider(IComparisonScope scope, Comparison comparison)`
Returns the default group provider.
`IDifferenceGroupProvider.Descriptor`
DifferenceGroupDescriptorWrapper.`getItem()`
Get an instance of an item.
`IDifferenceGroupProvider.Descriptor`
DifferenceGroupRegistryImpl.`remove(String className)`
Remove from the registry the `IDifferenceGroupProvider` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return types with arguments of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
DifferenceGroupManager.`getCurrentGroupRanking(boolean isThreeWay)`
Gets the current group order.
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
DifferenceGroupManager.`getDefaultRankingConfiguration(boolean isThreeWay)`
Gets the default groups order.
`List<IDifferenceGroupProvider.Descriptor>`
DifferenceGroupRegistryImpl.`getGroupProviders(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceGroupProvider` contained in the registry.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
DifferenceGroupRegistryImpl.`add(IDifferenceGroupProvider.Descriptor providerDescriptor, String className)`
Add to the registry the given `IDifferenceGroupProvider`.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with type arguments of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`void`
DifferenceGroupManager.`setCurrentGroupRanking(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> descriptors, boolean isThreeWay)`
Sets the ranking of Difference group provider.
Constructor parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with type arguments of type IDifferenceGroupProvider.Descriptor
Modifier
Constructor
Description
``
`DifferenceGroupManager(IItemRegistry<IDifferenceGroupProvider.Descriptor> registry, org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
Constructor.
``
`DifferenceGroupProviderExtensionRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IDifferenceGroupProvider.Descriptor> registry)`
Default constructor.
``
`DifferenceGroupRegistryImpl(DifferenceGroupManager groupManager, IItemRegistry<IDifferenceGroupProvider.Descriptor> registry)`
Constructs the registry.

## Uses of IDifferenceGroupProvider.Descriptor in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that return IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
IDifferenceGroupProvider.Descriptor.Registry.`add(IDifferenceGroupProvider.Descriptor provider, String className)`
Add to the registry the given `IDifferenceGroupProvider`.
`IDifferenceGroupProvider.Descriptor`
IDifferenceGroupProvider.Descriptor.Registry.`getDefaultGroupProvider(IComparisonScope scope, Comparison comparison)`
Returns the default group provider.
`IDifferenceGroupProvider.Descriptor`
IDifferenceGroupProvider.Descriptor.Registry.`remove(String className)`
Remove from the registry the `IDifferenceGroupProvider` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that return types with arguments of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`Collection<IDifferenceGroupProvider.Descriptor>`
IDifferenceGroupProvider.Descriptor.Registry.`getGroupProviders(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceGroupProvider` contained in the registry.
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups with parameters of type IDifferenceGroupProvider.Descriptor
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
IDifferenceGroupProvider.Descriptor.Registry.`add(IDifferenceGroupProvider.Descriptor provider, String className)`
Add to the registry the given `IDifferenceGroupProvider`.